package com.fizz.business.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.fizz.business.domain.SetupTensionAnnealingFurnace;

/**
 * 退火炉张力Mapper接口
 */
public interface SetupTensionAnnealingFurnaceMapper
{
    SetupTensionAnnealingFurnace selectByKey(@Param("steelGrade") String steelGrade,
                                             @Param("thick") Float thick,
                                             @Param("yieldStren") Float yieldStren);

    List<SetupTensionAnnealingFurnace> selectList(SetupTensionAnnealingFurnace query);

    int insert(SetupTensionAnnealingFurnace entity);

    int updateByKey(SetupTensionAnnealingFurnace entity);

    int deleteByKey(@Param("steelGrade") String steelGrade,
                    @Param("thick") Float thick,
                    @Param("yieldStren") Float yieldStren);
}

